View Bug Details

IDProjectCategoryView StatusLast Update
0002215DCP-o-maticBugspublic2022-03-25 18:31
Reporterarigolan Assigned Tocarl  
PriorityhighSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformApple Mac M1 ARMOSMac OSOS Version11.6 Big Sur
Target Version2.16.8 
Summary0002215: EntryPoint elements & Duration elements exist when they shouldn't
Description

Received the following QC failure Error Messages from Distributor's DCP testing Lab:

Error - asset=urn:uuid:df732cad-77ff-4ebd-97d5-4c16abc7117b; Reel 1: EntryPoint element exists when it shouldn't.
Description
Reel 1 contains asset 'urn:uuid:df732cad-77ff-4ebd-97d5-4c16abc7117b' which has an EntryPoint element when it shouldn't.
This is most common in the metadata or MainMarkers assets.
 
Error - asset=urn:uuid:df732cad-77ff-4ebd-97d5-4c16abc7117b; Reel 1: Duration element exists when it shouldn't.
Description
Reel 1 contains asset 'urn:uuid:df732cad-77ff-4ebd-97d5-4c16abc7117b' which has a Duration element when it shouldn't.
 

Steps To Reproduce

note: Beta version 2.16.3 (not an option in the "Product Version" dropdown)

TagsNo tags attached.
Branchlibdcp:2215-markers
Estimated weeks required
Estimated work requiredUndecided

Activities

arigolan

2022-03-12 21:18

reporter  

cpl_ecaffef0-268c-4030-9513-05015139083f.xml (9,676 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<CompositionPlaylist xmlns="http://www.digicine.com/PROTO-ASDCP-CPL-20040511#">
  <Id>urn:uuid:ecaffef0-268c-4030-9513-05015139083f</Id>
  <AnnotationText>LxdoDcpProject_FTR-1_F_EN-XX_51_2K_20220225_IOP_OV</AnnotationText>
  <IssueDate>2022-02-25T18:07:12-06:00</IssueDate>
  <Issuer>Atomic Imaging, Inc.</Issuer>
  <Creator>Golan Studios</Creator>
  <ContentTitleText>LacysChristmas_FTR-1_F_EN-XX_51_2K_20220225_IOP_OV</ContentTitleText>
  <ContentKind>feature</ContentKind>
  <ContentVersion>
    <Id>urn:uuid:35e73dc1-0c7e-4309-a1c3-57a2f1d07a81</Id>
    <LabelText></LabelText>
  </ContentVersion>
  <RatingList/>
  <ReelList>
    <Reel>
      <Id>urn:uuid:eebe19b2-e417-4cb7-8277-5e409788adc7</Id>
      <AssetList>
        <MainMarkers>
          <Id>urn:uuid:df732cad-77ff-4ebd-97d5-4c16abc7117b</Id>
          <EditRate>24 1</EditRate>
          <IntrinsicDuration>133698</IntrinsicDuration>
          <EntryPoint>0</EntryPoint>
          <Duration>133698</Duration>
          <MarkerList>
            <Marker>
              <Label>FFOC</Label>
              <Offset>1</Offset>
            </Marker>
            <Marker>
              <Label>LFOC</Label>
              <Offset>133697</Offset>
            </Marker>
          </MarkerList>
        </MainMarkers>
        <MainPicture>
          <Id>urn:uuid:72f3f37f-2775-412f-b698-81abbb59a7cc</Id>
          <EditRate>24 1</EditRate>
          <IntrinsicDuration>133698</IntrinsicDuration>
          <EntryPoint>0</EntryPoint>
          <Duration>133698</Duration>
          <KeyId>urn:uuid:7e608858-ea8a-4254-8fc7-3602d4ca43e6</KeyId>
          <Hash>qxaHPUCKWbm19FBpNr894AoFdl4=</Hash>
          <FrameRate>24 1</FrameRate>
          <ScreenAspectRatio>1.85</ScreenAspectRatio>
        </MainPicture>
        <MainSound>
          <Id>urn:uuid:16506841-b33a-4a01-b87f-218ded65b3ee</Id>
          <EditRate>24 1</EditRate>
          <IntrinsicDuration>133698</IntrinsicDuration>
          <EntryPoint>0</EntryPoint>
          <Duration>133698</Duration>
          <KeyId>urn:uuid:0964993c-20ea-4226-80a1-596acd7511f6</KeyId>
          <Hash>Lcss2kfGcD78FkU86iqgajZ6zcw=</Hash>
        </MainSound>
      </AssetList>
    </Reel>
  </ReelList>
  <Signer xmlns:dsig="http://www.w3.org/2000/09/xmldsig#">
    <dsig:X509Data>
      <dsig:X509IssuerSerial>
        <dsig:X509IssuerName>dnQualifier=l5iorYjVsmDL7VuHVC7HOFTs2xM=,CN=.dcpomatic.smpte-430-2.INTERMEDIATE,OU=dcpomatic.com,O=dcpomatic.com</dsig:X509IssuerName>
        <dsig:X509SerialNumber>7</dsig:X509SerialNumber>
      </dsig:X509IssuerSerial>
      <dsig:X509SubjectName>dnQualifier=r/9Ad49eQGtboCC6Fuq7f/W6ASk=,CN=CS.dcpomatic.smpte-430-2.LEAF,OU=dcpomatic.com,O=dcpomatic.com</dsig:X509SubjectName>
    </dsig:X509Data>
  </Signer>
  <dsig:Signature xmlns:dsig="http://www.w3.org/2000/09/xmldsig#">
    <dsig:SignedInfo>
      <dsig:CanonicalizationMethod Algorithm="http://www.w3.org/TR/2001/REC-xml-c14n-20010315"/>
      <dsig:SignatureMethod Algorithm="http://www.w3.org/2000/09/xmldsig#rsa-sha1"/>
      <dsig:Reference URI="">
        <dsig:Transforms>
          <dsig:Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature"/>
        </dsig:Transforms>
        <dsig:DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1"/>
        <dsig:DigestValue>McGzt49O4u4z1G3rwPKy0yEwep0=</dsig:DigestValue>
      </dsig:Reference>
    </dsig:SignedInfo>
    <dsig:SignatureValue>q8WTxscSuVn6hdXd08ntPQqQOokTskjuHHlJyfYGTXnanW82Bmbn0L/f1eUyQIc/
UZSFyAFHcm4lGOh1MM2H6oJUGlffH48xDEZL/dljA2mXewOJZQny2Yul/a10vwlU
jI6jJ6eJluWiuVAuqtQLEP/zZ5RLz2OpqwWbpS7O0yUtWvBKToTioNn/wHBWRIFU
aAReQrlG+gIcecXLaR6+ZqSd2TDv61BlXE1ALuZzd6VEMBt9Bm5sDqpcwunZkM2V
p6BDcxwdS27nrQfSDY/gYF2u9wrdoRf6QMPijy8DGTofydnrY77LjxLCRYjUkq9R
NfC1q7E+S79DOf94GPSM3w==</dsig:SignatureValue>
    <dsig:KeyInfo>
      <dsig:X509Data>
        <dsig:X509IssuerSerial>
          <dsig:X509IssuerName>dnQualifier=l5iorYjVsmDL7VuHVC7HOFTs2xM=,CN=.dcpomatic.smpte-430-2.INTERMEDIATE,OU=dcpomatic.com,O=dcpomatic.com</dsig:X509IssuerName>
          <dsig:X509SerialNumber>7</dsig:X509SerialNumber>
        </dsig:X509IssuerSerial>
        <dsig:X509Certificate>MIIEaTCCA1GgAwIBAgIBBzANBgkqhkiG9w0BAQsFADCBhTEWMBQGA1UEChMNZGNw
b21hdGljLmNvbTEWMBQGA1UECxMNZGNwb21hdGljLmNvbTEsMCoGA1UEAxMjLmRj
cG9tYXRpYy5zbXB0ZS00MzAtMi5JTlRFUk1FRElBVEUxJTAjBgNVBC4THGw1aW9y
WWpWc21ETDdWdUhWQzdIT0ZUczJ4TT0wHhcNMjIwMjE4MDI1OTE4WhcNMzIwMjIx
MDI1OTE4WjB/MRYwFAYDVQQKEw1kY3BvbWF0aWMuY29tMRYwFAYDVQQLEw1kY3Bv
bWF0aWMuY29tMSYwJAYDVQQDEx1DUy5kY3BvbWF0aWMuc21wdGUtNDMwLTIuTEVB
RjElMCMGA1UELhMcci85QWQ0OWVRR3Rib0NDNkZ1cTdmL1c2QVNrPTCCASIwDQYJ
KoZIhvcNAQEBBQADggEPADCCAQoCggEBAN7+yrr42hls5k43q0oBKDnzzrspkCD7
nNOty+zKYaC5ddca7Nzq3RHj4Pv0weqk1YN/Q603JkZ+jkAILvERLdM0YKOs/I6A
76+nV6e7YZc3xo4NMbgzxIavD0LR2kC4mym1VZsHGB1m2QL1CW4syQu1qcXfONYZ
MY8fvuZyC9C6COEaZcH6dFNl7AJc9sLq0eeeAPvuQlYo/BG+bglBfVs/iicg29Ew
+Ls/Kg5UYlk7iDEWmteGuAU7bFXkLhz9eqUrd06C0lKQvNFvG54JKSP4HiXbgelZ
4KH8my0so7tmzJnBYdZRXLyCLJSCb643Kuc6xJRJp7lvKGyn+9gaWckCAwEAAaOB
6DCB5TAMBgNVHRMBAf8EAjAAMAsGA1UdDwQEAwIFoDAdBgNVHQ4EFgQUr/9Ad49e
QGtboCC6Fuq7f/W6ASkwgagGA1UdIwSBoDCBnYAUl5iorYjVsmDL7VuHVC7HOFTs
2xOhgYGkfzB9MRYwFAYDVQQKEw1kY3BvbWF0aWMuY29tMRYwFAYDVQQLEw1kY3Bv
bWF0aWMuY29tMSQwIgYDVQQDExsuZGNwb21hdGljLnNtcHRlLTQzMC0yLlJPT1Qx
JTAjBgNVBC4THFdqRHU1elViWjdtRzRtKzRLMXd0OVpGdVJHND2CAQYwDQYJKoZI
hvcNAQELBQADggEBAMPzQPYyaMNt1s6Y/3pHXvPoUc+kMvHwq3XYgKp4IW1HdRCQ
Da1aBaXxuKqz9GJtE2K9l6/NKuj+pIo8wELkkCVbilFy8V4xYWDLPjYxkrfZDqRU
o58UMfhRWOdwZxrsI6uUqayUTHSRRZkCxoNmDn8Z5ElV/nTxUAU3dDmXkyEMsdbL
xFARDUW7zQCotgGHCPFVW+iiXlEC3g4RLP7o1ZXNHFq0wyc6gFebKrWMvvYoDZqW
gXjDV2ScfD1iUffw6B+ffpKde20mzE2njvZQl6B1Kef573ULgwFfRnKIphJCNjOD
ioiFtsBLmMVgK1jns9ESVIwKGSZeEZIiekhHXkI=</dsig:X509Certificate>
      </dsig:X509Data>
      <dsig:X509Data>
        <dsig:X509IssuerSerial>
          <dsig:X509IssuerName>dnQualifier=WjDu5zUbZ7mG4m\+4K1wt9ZFuRG4=,CN=.dcpomatic.smpte-430-2.ROOT,OU=dcpomatic.com,O=dcpomatic.com</dsig:X509IssuerName>
          <dsig:X509SerialNumber>6</dsig:X509SerialNumber>
        </dsig:X509IssuerSerial>
        <dsig:X509Certificate>MIIEbTCCA1WgAwIBAgIBBjANBgkqhkiG9w0BAQsFADB9MRYwFAYDVQQKEw1kY3Bv
bWF0aWMuY29tMRYwFAYDVQQLEw1kY3BvbWF0aWMuY29tMSQwIgYDVQQDExsuZGNw
b21hdGljLnNtcHRlLTQzMC0yLlJPT1QxJTAjBgNVBC4THFdqRHU1elViWjdtRzRt
KzRLMXd0OVpGdVJHND0wHhcNMjIwMjE4MDI1OTE4WhcNMzIwMjIyMDI1OTE4WjCB
hTEWMBQGA1UEChMNZGNwb21hdGljLmNvbTEWMBQGA1UECxMNZGNwb21hdGljLmNv
bTEsMCoGA1UEAxMjLmRjcG9tYXRpYy5zbXB0ZS00MzAtMi5JTlRFUk1FRElBVEUx
JTAjBgNVBC4THGw1aW9yWWpWc21ETDdWdUhWQzdIT0ZUczJ4TT0wggEiMA0GCSqG
SIb3DQEBAQUAA4IBDwAwggEKAoIBAQDNsRhPZziWgPZZoES9FTScQsXVfKv268pt
k3+k4oXlnd4a3g7hrb+RHRYlFN1wOom4UojUVN+S9uYLPJ5hoTquKmL+b2lT3BYA
09XMBazKlIKvwp1L7krOJNfwZUhVVmd5ihch3fIbrFBFmiz0mLLEXqwo58nIQnsy
hCd36dBSuo/x32nrfcGxNlXBKDUx79a8PHtP0VpHKmfRvNnSHgLLDT1xx496rV+6
ClkzBv1sDz2Dg99uvkbftoPJtTtZLBUX24BDWWw5QHGh8pbEalJYv96bk0ZLSYte
T1SjGn53t+9ticeYoRBdV0dZzs+g0nQR5q4wj2eXhWXTyWcxchjlAgMBAAGjge4w
geswEgYDVR0TAQH/BAgwBgEB/wIBAjALBgNVHQ8EBAMCAQYwHQYDVR0OBBYEFJeY
qK2I1bJgy+1bh1QuxzhU7NsTMIGoBgNVHSMEgaAwgZ2AFFow7uc1G2e5huJvuCtc
LfWRbkRuoYGBpH8wfTEWMBQGA1UEChMNZGNwb21hdGljLmNvbTEWMBQGA1UECxMN
ZGNwb21hdGljLmNvbTEkMCIGA1UEAxMbLmRjcG9tYXRpYy5zbXB0ZS00MzAtMi5S
T09UMSUwIwYDVQQuExxXakR1NXpVYlo3bUc0bSs0SzF3dDlaRnVSRzQ9ggEFMA0G
CSqGSIb3DQEBCwUAA4IBAQBcCDG9b0a8KqblaWKpbb9hIFZZZV0ALZf4Gn7SyJl7
//iD/vwx0SdHOvHreaR8scpKmgJ2D+xhYeG4+75F3DcdZiOojUEQEBgZyIRc/k+8
hASMZUbo7vNoEXq8tsuJh5eesvGEg020Jm0ZYNbgtbRu6LpVG5GgF0Nk1pytXyAi
9H7mDyGjVnj0hxi6Po+ivKNfpUqCZaZUf68WRKz6CDrc0/l1Sbka5ufvB6wqrkeb
QbzdJVJl+45DWps0DSpuCha1GqOx45+nD8DlPikTrJnxJlPzmOgcjInFvutRJ8x4
6eRHLW5Caes7Z+51wMKqN7JJ0g0o0jSxBWSQPBKsi6aE</dsig:X509Certificate>
      </dsig:X509Data>
      <dsig:X509Data>
        <dsig:X509IssuerSerial>
          <dsig:X509IssuerName>dnQualifier=WjDu5zUbZ7mG4m\+4K1wt9ZFuRG4=,CN=.dcpomatic.smpte-430-2.ROOT,OU=dcpomatic.com,O=dcpomatic.com</dsig:X509IssuerName>
          <dsig:X509SerialNumber>5</dsig:X509SerialNumber>
        </dsig:X509IssuerSerial>
        <dsig:X509Certificate>MIIEZDCCA0ygAwIBAgIBBTANBgkqhkiG9w0BAQsFADB9MRYwFAYDVQQKEw1kY3Bv
bWF0aWMuY29tMRYwFAYDVQQLEw1kY3BvbWF0aWMuY29tMSQwIgYDVQQDExsuZGNw
b21hdGljLnNtcHRlLTQzMC0yLlJPT1QxJTAjBgNVBC4THFdqRHU1elViWjdtRzRt
KzRLMXd0OVpGdVJHND0wHhcNMjIwMjE4MDI1OTE3WhcNMzIwMjIzMDI1OTE3WjB9
MRYwFAYDVQQKEw1kY3BvbWF0aWMuY29tMRYwFAYDVQQLEw1kY3BvbWF0aWMuY29t
MSQwIgYDVQQDExsuZGNwb21hdGljLnNtcHRlLTQzMC0yLlJPT1QxJTAjBgNVBC4T
HFdqRHU1elViWjdtRzRtKzRLMXd0OVpGdVJHND0wggEiMA0GCSqGSIb3DQEBAQUA
A4IBDwAwggEKAoIBAQDhN5rHuPjIvV175wNfJBKj2rTLCXmLlc5KOAqyLYQ1ncXI
1jDH6TvVjMYEKsiuxBqa5Um9yjwNlt4PUgQhioDbw3D+uTlqqHdxI1Wf3NAOyEu/
uaGIO5v6XwJiOKplB36X5FtbJ2c6nJlvIuo72uzG9FCgNKOdxJp+1k8GVnKfXi34
bzpqgxtyZ+BvvQMpACt37Gopt0p8bMJagyKuMMwKgdPRdo5h66NrHQnxJFm93Tko
iiTCD3xzP6fNYe9A6auPkV3Qr3WF5DMc9VoRjVS4r3Th/iqNMFFJOoRHiCv2PysR
J2on/5L3umu0iTmdTgDYCWh62MP6hmdSlvdWB5zrAgMBAAGjge4wgeswEgYDVR0T
AQH/BAgwBgEB/wIBAzALBgNVHQ8EBAMCAQYwHQYDVR0OBBYEFFow7uc1G2e5huJv
uCtcLfWRbkRuMIGoBgNVHSMEgaAwgZ2AFFow7uc1G2e5huJvuCtcLfWRbkRuoYGB
pH8wfTEWMBQGA1UEChMNZGNwb21hdGljLmNvbTEWMBQGA1UECxMNZGNwb21hdGlj
LmNvbTEkMCIGA1UEAxMbLmRjcG9tYXRpYy5zbXB0ZS00MzAtMi5ST09UMSUwIwYD
VQQuExxXakR1NXpVYlo3bUc0bSs0SzF3dDlaRnVSRzQ9ggEFMA0GCSqGSIb3DQEB
CwUAA4IBAQCs1BvDaWUWh6WcBacsMwQxjNDSVWDyxu8jtk0i5DVs8QubLZfnOyc/
yuJhZC/QNFETUKKykhVk/0+vgoFlCICt7F6tCq2tJGkRg+ApLJEBxcpyWJ39fPa0
qFKw5ZDCdwOorhpOy0p40wOYPVXo/ecFI0fOOa0268vHWQ4TvuIWd7SQkBDd9gld
+bqcEvBBghcrg0h6S1GzKU+VRlbhFw/1GK/3us0CfIPwJHqrIfqXMIgpci7R2JV6
LP+rpsbJa3sfgMFf27YQW8hhUySOhlZcMHMPEQvAEA8oZxwfNq1aRx3VBUIK9zz9
rLxvRjm5dcn8WW4f7qAXO/H1f4p713vR</dsig:X509Certificate>
      </dsig:X509Data>
    </dsig:KeyInfo>
  </dsig:Signature>
</CompositionPlaylist>

carl

2022-03-12 21:37

administrator   ~0004927

Last edited: 2022-03-23 23:11

Hi, who is this distributor? I can't find anything in the standard about Duration and EntryPoint not being allowed for MainMarkers.

arigolan

2022-03-12 22:32

reporter   ~0004929

The distributor's lab is DELUXE (a pretty major lab in California): https://www.bydeluxe.com/

I have been in contact with their account rep who is self-admitted not that technically deep into DCP, and he has reached out to his support staff to try and get more detailed answers to my questions. I will forward their response to you first as soon as I receive one, before suggesting direct contact as not to duplicate the communication.

FYI, my workflow is that I generate a non-encrypted DCP from DaVinci Resolve’s (v. 17.4.4) Kakadu preset, then import that into Dcp-o-matic for encryption and KDM generation.

After receiving the error report, I compared the original .cpl from Resolve with the encrypted version from DTP-o-matic, and the lines of code pertaining to “Duration” and “EntryPoint” looked the same in both to me, with the exception that the Dcp-o-matic version had a “MainMarkers" section added to the beginning of the "AssetList", which did NOT appear in the original Resolve version (and that MainMakers section also had “Duration” and “EntryPoint” references).

Thanks for your amazingly fast response, and please keep up that great work on Dcp-o-matic!

carl

2022-03-23 23:07

administrator   ~0004971

Wait a minute: "EntryPoint" ... "This element shall only be present when the Asset refers to an external resource such as a Track File" (similar for Duration) - so the warning is right and DoM is definitely wrong.

carl

2022-03-25 18:31

administrator   ~0004975

Should be fixed by 5215408c36898039e8fa294bb74bf94d5762b0c7 in v2.16.8.

Bug History

Date Modified Username Field Change
2022-03-12 21:18 arigolan New Bug
2022-03-12 21:18 arigolan File Added: cpl_ecaffef0-268c-4030-9513-05015139083f.xml
2022-03-12 21:37 carl Note Added: 0004927
2022-03-12 21:37 carl Note Edited: 0004927
2022-03-12 21:37 carl Assigned To => carl
2022-03-12 21:37 carl Status new => feedback
2022-03-12 22:32 arigolan Note Added: 0004929
2022-03-12 22:32 arigolan Status feedback => assigned
2022-03-23 20:21 carl Target Version => 2.16.8
2022-03-23 20:21 carl Estimated work required => Undecided
2022-03-23 23:07 carl Note Added: 0004971
2022-03-23 23:08 carl Status assigned => in progress
2022-03-23 23:10 carl Note Edited: 0004927
2022-03-23 23:10 carl Note Edited: 0004927
2022-03-23 23:11 carl Note Edited: 0004927
2022-03-23 23:41 carl Branch => libdcp:2215-markers
2022-03-25 18:31 carl Status in progress => resolved
2022-03-25 18:31 carl Resolution open => fixed
2022-03-25 18:31 carl Note Added: 0004975